%define intern_name openMotif
%define major 4
%define libname %mklibname %name %major

Summary: Open Motif runtime libraries and executables
Name: openmotif
Version: 2.3.0
Release: %mkrel 3
License: Open Group Public License
Group: System/Libraries
Source:  %{name}-%{version}.tar.bz2
Source1: xmbind
URL: http://www.motifzone.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	byacc pkgconfig
BuildRequires:	flex
BuildRequires:	libxp-devel
BuildRequires:	libxt-devel
BuildRequires:	libxft-devel
BuildRequires:	x11-data-bitmaps
BuildRequires:	libjpeg-devel libpng-devel

#Patch19: openMotif-2.2.3-utf8.patch
Patch22: openMotif-2.3.0-no_demos.patch
Patch23: openMotif-2.2.3-uil_lib.patch
#Patch25: openMotif-2.2.3-libdir.patch
#Patch26: openMotif-2.2.3-char_not_supported.patch
#Patch27: openMotif-2.2.3-pixel_length.patch
#Patch28: openMotif-2.2.3-popup_timeout.patch
#Patch29: openMotif-2.2.3-acinclude.patch
#Patch30: openMotif-2.2.3-autofoo.patch
#Patch31: openMotif-2.2.3-CAN-2004-0687-0688.patch
#Patch32: openMotif-2.2.3-CAN-2004-0914.patch
#Patch33: openMotif-2.2.3-CAN-2004-0914_autofoo.patch
#Patch34: openMotif-2.2.3-tmpnam.patch
#Patch35: openmotif-2.2.3-CAN-2004-0914_sec8.patch
#Patch36: openMotif-2.2.3-vizcount.patch
Patch37: openMotif-2.2.3-long64.patch
#Patch38: openMotif-2.2.3-multiscreen.patch
#Patch39: openMotif-2.2.3-motifzone_1193.patch
#Patch40: openMotif-2.2.3-motifzone_1202.patch
#Patch41: openMotif-2.2.3-CAN-2005-0605.patch
Patch43: openMotif-2.3.0-rgbtxt.patch
Patch45: openMotif-2.3.0-mwmrc_dir.patch
Patch46: openMotif-2.3.0-bindings.patch
Patch47: openMotif-2.3.0-no_X11R6.patch

Conflicts: lesstif <= 0.92.32-6

Prefix: /usr

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package -n %{libname}
Summary: Open Motif libraries
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%description -n %{libname}
These are the libraries provided by is the Open Motif %{version} runtime
environment. 

%package -n %{libname}-devel
Summary: Open Motif development libraries and header files
Group: Development/C
Conflicts: lesstif-devel <= 0.92.32-6
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q -n %{name}-%{version}
#%patch19 -p1 -b .utf8
%patch22 -p0 -b .no_demos
%patch23 -p1 -b .uil_lib
#%patch25 -p1 -b .libdir
#%patch26 -p1 -b .char_not_supported
#%patch27 -p1 -b .pixel_length
#%patch28 -p1 -b .popup_timeout
#%patch29 -p1 -b .acinclude
#%patch30 -p1 -b .autofoo
#%patch31 -p1 -b .CAN-2004-0687-0688
#%patch32 -p1 -b .CAN-2004-0914
#%patch33 -p1 -b .CAN-2004-0914_autofoo
#%patch34 -p1 -b .tmpnam
#%patch35 -p1 -b .CAN-2004-0914_sec8
#%patch36 -p1 -b .vizcount
%patch37 -p1 -b .long64
#%patch38 -p1 -b .multiscreen
#%patch39 -p1 -b .motifzone_1193
#%patch40 -p1 -b .motifzone_1202
#%patch41 -p1 -b .CAN-2005-0605
%patch43 -p0 -b .rgbtxt
%patch45 -p0 -b .mwmrc_dir
%patch46 -p0 -b .bindings
%patch47 -p0 -b .no_X11R6

for i in doc/man/man3/{XmColumn,XmDataField}.3; do
	iconv -f windows-1252 -t utf-8 < "$i" > "${i}_"
	mv "${i}_" "$i"
done

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
./configure \
   --prefix=%{prefix} \
   --libdir=%{prefix}/%{_lib} \
   --enable-static

# do not use rpath
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make clean
make

%install
rm -rf $RPM_BUILD_ROOT

export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} install
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d \
         $RPM_BUILD_ROOT/usr/include

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/xmbind.sh

mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/man

rm -fr $RPM_BUILD_ROOT%{prefix}/%{_lib}/*.la \
       $RPM_BUILD_ROOT%{prefix}/share/Xm/doc

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{_sysconfdir}/X11/xinit/xinitrc.d/xmbind.sh
%{_sysconfdir}/X11/mwm/system.mwmrc
%{_bindir}/mwm
%{_bindir}/xmbind
%{prefix}/include/X11/bitmaps/*
%{_datadir}/X11/bindings
%{_mandir}/man1/mwm*
%{_mandir}/man1/xmbind*
%{_mandir}/man4/mwmrc*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libMrm.so.*
%{_libdir}/libUil.so.*
%{_libdir}/libXm.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{_libdir}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man1/uil.1*
%{_mandir}/man3/*
%{_mandir}/man5/*




%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.0-3mdv2009.0
+ Revision: 241607
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.3.0-2mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 2.3.0-1mdv2008.0
+ Revision: 45956
- New major
- buildrequires libxft-devel
- New version
- fix old X11R6 path
- drop patches 19, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38, 39, 40, 41
- add patches 22, 43, 45, 46, 47 from fedora


* Sun Dec 10 2006 Stefan van der Eijk <stefan@mandriva.org> 2.2.3-11mdv2007.0
+ Revision: 94470
- Import openmotif

* Sun Dec 10 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.3-11
- mandriva package

* Tue Apr 05 2005 Thomas Woerner <twoerner@redhat.com> 2.2.3-10
- fixed possible libXpm overflows (#151642)

* Mon Feb 28 2005 Thomas Woerner <twoerner@redhat.com> 2.2.3-9
- Upstream Fix: Multiscreen mode
- Upstream Fix: Crash when restarting by a session manager (motifzone#1193)
- Upstream Fix: Crash when duplicating a window menu containing f.circle_up
  (motifzone#1202)
- fixed divide by zero error in ComputeVizCount() (#144420)
- Xpmcreate: define LONG64 on 64 bit architectures (#143689)

* Mon Nov 29 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-8.1
- allow to write XPM files with absolute path names again (#140815)

* Wed Nov 24 2004 Miloslav Trmac <mitr@redhat.com> 2.2.3-8
- Convert man pages to UTF-8

* Mon Nov 22 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-7
- latest Xpm patches: CAN-2004-0914 (#134631)
- new patch for tmpnam in imake (only used for build)

* Fri Oct 01 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-6
- fixed CAN-2004-0687 (integer overflows) and CAN-2004-0688 (stack overflows)
  in embedded Xpm library

* Thu Sep 30 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-5.2
- replaced libtoolize and autofoo* calls with a patch (autofoo)

* Thu Sep 30 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-5.1
- use new autofoo

* Thu Sep 02 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-5
- libXp now moved to xorg-x11-deprecated-libs, therefore no compatibility 
  with XFree86 packages anymore.

* Tue Aug 31 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-4.3
- devel package: added requires for XFree86-devel (#131202)

* Fri Jun 18 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-4.2
- rebuilt for fc3

* Thu Jun 17 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-4.1
- renamed xmbind script to xmbind.sh (#126116)

* Wed Jun 16 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 09 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-3
- fixed popup menus fail on Tarantella/VNC (#123027)
- fixed character not supported problem (#124960)
- fixed data out of bounds bug (#124961)

* Thu Apr 15 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-2
- 2.2.3 final version

* Tue Mar 23 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-1.9.2
- final CVS version

* Wed Mar 17 2004 Thomas Woerner <twoerner@redhat.com> 2.2.3-1.9.1
- new openmotif 2.2.3 beta version

* Mon Mar 08 2004 Thomas Woerner <twoerner@redhat.com> 2.2.2-17
- fixed popdown problem in ToolTip (#75730)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Thomas Woerner <twoerner@redhat.com> 2.2.2-16.3
- rebuilt

* Thu Dec 18 2003 Thomas Woerner <twoerner@redhat.com>
- added missing BuildRequires for XFree86-devel

